import { Context } from 'koa';
import user from './user';
import document from './document';
import services from '../services';

const home = async (ctx: Context) => {
  ctx.body = 'home';
};

// 读取验证码
const code = async (ctx: Context) => {
  interface params {
    phone?: string
  }
  const params: params = {}
  params.phone = ctx.query.phone
  if (!params.phone) {
    ctx.status = 400;
    ctx.body = ctx.$response(null, 'phone参数缺失', false, 400000);
    return;
  };
  const body = await services.code(ctx, params);
  ctx.body = ctx.$response(body);
};

export default {
  home,
  code,
  user,
  document
}
